> ## Documentation Index
> Fetch the complete documentation index at: https://integrations.docs.commenda.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Real time Data

> Retrieve real time data from integration platforms.



## OpenAPI

````yaml POST /core/real_time
openapi: 3.0.1
info:
  title: rootfi
  version: v3
servers:
  - url: https://api.rootfi.dev/v3
    description: global
  - url: https://api.sa.rootfi.dev/v3
    description: saudi
security: []
paths:
  /core/real_time:
    post:
      tags:
        - CoreRealTime
      summary: Get Real time Data
      description: Retrieve real time data from integration platforms.
      operationId: core_realTime_create
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/coregetRealTimeDataRequest'
            examples:
              Example1:
                value:
                  company_id: 1111
                  data_model: COMPANY_INFO
                  variables:
                    per_page: 100
                    page: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/coregetRealTimeDataObject'
              examples:
                Example1:
                  value:
                    data:
                      platform_id: '1234567890123456789'
                      name: RootFi
                      legal_name: RootFi Inc.
                      base_currency: INR
                      fiscal_start_at: '2023-12-31T00:00:00.000Z'
                      org_created_at: '2023-12-31T00:00:00.000Z'
                      registration_number: 07CEUPK5322M1ZX
                      tax_number: ODSPS1279G
                      addresses:
                        data:
                          - platform_id: >-
                              3770712000001721013_CONTACTS_3770712000001721005_SHIPPING
                            type: SHIPPING
                            data_model: CONTACTS
                            data_model_id: '3770712000001721005'
                            street: 21 street house
                            locality: Koramanager
                            city: Hyderabad
                            state: Bengalore
                            country: India
                            pincode: '500045'
                            updated_at: '2023-11-05T00:00:00.000Z'
                      external_links:
                        data:
                          - platform_id: CONTACTS_3770712000001721005_WEBSITE
                            data_model: CONTACTS
                            data_model_id: '3770712000001721005'
                            link: https://www.rootfi.dev
                            type: WEBSITE
                            updated_at: '2023-11-05T00:00:00.000Z'
                      phone_numbers:
                        data:
                          - platform_id: CONTACTS_3770712000001721005_MOBILE
                            data_model: CONTACTS
                            data_model_id: '3770712000001721005'
                            number: +919*********
                            type: MOBILE
                            updated_at: '2023-11-05T00:00:00.000Z'
                      updated_at: '2023-12-31T00:00:00.000Z'
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RootFiAPIResponseType'
        '403':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RootFiAPIResponseType'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RootFiAPIResponseType'
        '500':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RootFiAPIResponseType'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    coregetRealTimeDataRequest:
      title: coregetRealTimeDataRequest
      type: object
      description: The request object for the getRealTimeData endpoint.
      properties:
        company_id:
          type: integer
          description: The ID of the company to retrieve real_time data for.
          example: 1111
        data_model:
          type: string
          description: The data model to retrieve real_time data for.
          example: COMPANY_INFO
        variables:
          type: object
          additionalProperties: true
          description: The variables to retrieve real_time data for.
      required:
        - company_id
        - data_model
        - variables
    coregetRealTimeDataObject:
      title: coregetRealTimeDataObject
      type: object
      description: The response object for the getRealTimeData endpoint.
      properties:
        data:
          type: object
          additionalProperties: true
          description: The data returned from the integration platform.
      required:
        - data
    RootFiAPIResponseType:
      title: RootFiAPIResponseType
      type: object
      properties:
        error:
          $ref: '#/components/schemas/RootFiAPIResponseErrorType'
          description: The error message
      required:
        - error
    RootFiAPIResponseErrorType:
      title: RootFiAPIResponseErrorType
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        field:
          type: string
          description: The status of the error
      required:
        - message
        - code
        - field
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: api_key

````